Subject: Re: linux-next: manual merge of the scsi tree with the staging tree

From: "[email-masked]" <[email-masked]>
Date: Mon, 28 Aug 2017 18:44:20 +0200

On Mon, Aug 28, 2017 at 04:36:06PM +0000, Bart Van Assche wrote:
> On Mon, 2017-08-28 at 18:05 +0200, [email-masked] wrote:
> > On Mon, Aug 28, 2017 at 03:41:28PM +0000, Bart Van Assche wrote:
> > > * Most SCSI drivers exist under drivers/scsi, including the virtio-scsi and
> > >   xen-scsifront drivers. So why has the visorhba driver been added under
> > >   unisys/visorhba?
> > 
> > That's because right now it's still a staging driver.  Also, there are
> > other scsi drivers in other portions of the kernel tree (like the USB
> > driver), so there's no hard rule that all scsi drivers have to be under
> > drivers/scsi/
> > 
> > <snip>
> > 
> > Please provide this review to them, on the properly mailing list, I'm
> > sure they would be glad to get it.
> 
> OK, I will do that. BTW, is there a written down version of the rules for
> adding a driver under drivers/staging available somewhere? 

The only 2 rules for adding a new drivers/staging driver is:
	- has to compile
	- correct license
and sometimes we let code in if the first one isn't true :)

> As far as I can
> see the visorhba driver went in without the linux-scsi mailing list having
> been CC-ed. See also Benjamin Romer, [PATCH] staging: unisys: Add s-Par
> visorhba, linux-driver-devel mailing list, July 2015
> (https://marc.info/?l=linux-driver-devel&m=143681271902628).

That's totally normal, why would the scsi developers care about a
staging driver in such a rough state.  Only when it looks "good enough"
would we ask for a scsi developer review to move it out of staging.

hope this helps,

greg k-h